GNU bug report logs - #45051
Guix pull fails: `In procedure put-string: Wrong type argument in position 1 (expecting open output port): #<closed: string 7f1182257850>`

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: pkill9 <pkill9@HIDDEN>; dated Sat, 5 Dec 2020 08:28:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45051 <at> debbugs.gnu.org:


Received: (at 45051) by debbugs.gnu.org; 11 Dec 2020 18:41:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 11 13:41:08 2020
Received: from localhost ([127.0.0.1]:42917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1knnLo-0000Vl-8f
	for submit <at> debbugs.gnu.org; Fri, 11 Dec 2020 13:41:08 -0500
Received: from aibo.runbox.com ([91.220.196.211]:54514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1knnLj-0000VY-GJ
 for 45051 <at> debbugs.gnu.org; Fri, 11 Dec 2020 13:41:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=selector1;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:
 References:In-Reply-To:Message-ID:Subject:Cc:To:From:Date;
 bh=3YQErPK1EHT1IzIbIxZFXHuT1C9KvZi1DeBOnXxDxcc=; b=i5ESRv6W9natQU0zwYjAkLyqJT
 PJ+Z76DcVzsYA1gkQ8q2X+wagxmkyibKlTjM6yQVsX1yff5oVUoq2BrXBlsGc0ilPG8yym97Rkp6E
 3KUqpNCODlf6bxBMl7ORTmi6aLCaRB4W8maMwf3moPZ86bSNLTy9YLM85qIKyjTii7NC/NZ4UNopv
 r1ZgA8c3XGuhxEMjQZKVYzOMJPAwK+ju08GgvUzUJMwFtlnNxrDgcfjUpo0deLsz97eQwZT7gvHeb
 sA6s9Queko0CurYyYhw5vmdNfKuIS7eNsqlcng5CfLH9wBAM3tMSiufPTR1glA9/Olj51955ClhLf
 UZ80hn7A==;
Received: from [10.9.9.72] (helo=submission01.runbox)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>)
 id 1knnLh-000802-FJ; Fri, 11 Dec 2020 19:41:01 +0100
Received: by submission01.runbox with esmtpsa [Authenticated alias (780724)]
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 id 1knnLW-0006SC-LK; Fri, 11 Dec 2020 19:40:50 +0100
Date: Fri, 11 Dec 2020 18:40:44 +0000
From: pkill9 <pkill9@HIDDEN>
To: Ludovic =?UTF-8?B?Q291cnTDqHM=?= <ludo@HIDDEN>
Subject: Re: bug#45051: Guix pull fails: `In procedure put-string: Wrong
 type argument in position 1 (expecting open output port): #<closed: string
 7f1182257850>`
Message-ID: <20201211184044.50ac30e9@HIDDEN>
In-Reply-To: <878sa45js2.fsf@HIDDEN>
References: <20201205082721.34581cea@HIDDEN>
	<878sa45js2.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.4 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 45051
Cc: 45051 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

Hi Ludovic,

> Could it be that your substitute URL is <https://ci.guix.info>?
> 
> If so, could you try:
> 
>   guix build inkscape --substitute-urls=https://ci.guix.gnu.org

This works, thanks.




Information forwarded to bug-guix@HIDDEN:
bug#45051; Package guix. Full text available.

Message received at 45051 <at> debbugs.gnu.org:


Received: (at 45051) by debbugs.gnu.org; 11 Dec 2020 17:34:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 11 12:34:31 2020
Received: from localhost ([127.0.0.1]:42841 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1knmJL-0005C0-LS
	for submit <at> debbugs.gnu.org; Fri, 11 Dec 2020 12:34:31 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35416)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1knmJJ-0005Bm-QH
 for 45051 <at> debbugs.gnu.org; Fri, 11 Dec 2020 12:34:30 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50716)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1knmJD-0002vl-OM; Fri, 11 Dec 2020 12:34:23 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=60972 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1knmJC-00056e-VC; Fri, 11 Dec 2020 12:34:23 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: pkill9 <pkill9@HIDDEN>
Subject: Re: bug#45051: Guix pull fails: `In procedure put-string: Wrong
 type argument in position 1 (expecting open output port): #<closed: string
 7f1182257850>`
References: <20201205082721.34581cea@HIDDEN>
Date: Fri, 11 Dec 2020 18:34:21 +0100
In-Reply-To: <20201205082721.34581cea@HIDDEN> (pkill9@HIDDEN's message
 of "Sat, 5 Dec 2020 08:27:21 +0000")
Message-ID: <878sa45js2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 45051
Cc: 45051 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Hi pkill9,

pkill9 <pkill9@HIDDEN> skribis:

> Computing Guix derivation for 'x86_64-linux'... /@ substituter-started
> /gnu/store/9ph7spq3b72fv4scqqzwxalb8n0wc6xn-graphviz-2.42.3-doc
> substitute -following redirection to

Could it be that your substitute URL is <https://ci.guix.info>?

If so, could you try:

  guix build inkscape --substitute-urls=3Dhttps://ci.guix.gnu.org

?

It may have to do with <https://issues.guix.gnu.org/45174>.

HTH,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#45051; Package guix. Full text available.

Message received at 45051 <at> debbugs.gnu.org:


Received: (at 45051) by debbugs.gnu.org; 6 Dec 2020 02:14:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 05 21:14:24 2020
Received: from localhost ([127.0.0.1]:48590 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kljZ9-0003ZP-UN
	for submit <at> debbugs.gnu.org; Sat, 05 Dec 2020 21:14:24 -0500
Received: from aibo.runbox.com ([91.220.196.211]:57528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1kljZ7-0003ZF-FO
 for 45051 <at> debbugs.gnu.org; Sat, 05 Dec 2020 21:14:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=selector1;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:
 References:In-Reply-To:Message-ID:Subject:To:From:Date;
 bh=GXsj6ZftxaWvtXfC5xPXjpTAfqjG3oe+w/ENP9yCvEA=; b=OJwnaBQ4myoBdLdEhGMRAK4clx
 pokXYoKOQO22rv8eLBLK9IcA5gP6IB40mAW8ypq/Y4T6+5EeVIdH2t7JucftbNTkZOGFbW/gszjAE
 m3m6EB+osBNkNF6d28EtaoWRxVQ5EAr+UKjdYrJozJXwh4FGK8Ft/2YERR8fF0WLfaTBie85qzUR2
 FaXF3Of5HCywS+OHdxcqvgpC0aXGQSgfHqnRRN+scA7H5x0TGdBqw8HgkARPTQpXIEbiAgKLhSVzR
 9zSgdFHzRlVha0KntlMQHVCz2lJbEyKepQ9Feco2Hu/iGyVYmrfKks0YvF+V2JQHY4omBoHpCBqwP
 OS8EG2ow==;
Received: from [10.9.9.72] (helo=submission01.runbox)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>) id 1kljZ6-0005lj-5B
 for 45051 <at> debbugs.gnu.org; Sun, 06 Dec 2020 03:14:20 +0100
Received: by submission01.runbox with esmtpsa [Authenticated alias (780724)]
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 id 1kljZ3-0002D1-Qr
 for 45051 <at> debbugs.gnu.org; Sun, 06 Dec 2020 03:14:17 +0100
Date: Sun, 6 Dec 2020 02:14:15 +0000
From: pkill9 <pkill9@HIDDEN>
To: 45051 <at> debbugs.gnu.org
Subject: Re: bug#45051: Acknowledgement (Guix pull fails: `In procedure
 put-string: Wrong type argument in position 1 (expecting open output port):
 #<closed: string 7f1182257850>`)
Message-ID: <20201206021415.1747073a@HIDDEN>
In-Reply-To: <handler.45051.B.160715686816877.ack <at> debbugs.gnu.org>
References: <20201205082721.34581cea@HIDDEN>
 <handler.45051.B.160715686816877.ack <at> debbugs.gnu.org>
X-Mailer: Claws Mail 3.17.4 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 45051
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

It's actually doing this for *any* package I build, and it's not
because it can't get substitutes, as running `guix weather hello`
reports that a substitute is available, but it still does this issue
with the `hello` package.




Information forwarded to bug-guix@HIDDEN:
bug#45051; Package guix. Full text available.

Message received at 45051 <at> debbugs.gnu.org:


Received: (at 45051) by debbugs.gnu.org; 5 Dec 2020 08:55:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 05 03:55:42 2020
Received: from localhost ([127.0.0.1]:46531 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1klTLy-000546-4c
	for submit <at> debbugs.gnu.org; Sat, 05 Dec 2020 03:55:42 -0500
Received: from aibo.runbox.com ([91.220.196.211]:43844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1klTLv-00053x-1I
 for 45051 <at> debbugs.gnu.org; Sat, 05 Dec 2020 03:55:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=selector1;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:
 References:In-Reply-To:Message-ID:Subject:To:From:Date;
 bh=cghTmSTJnYVR8B3ckF23x26Ci2LC5YjFyYtEsgu/VpI=; b=TihwaMYyn14XLJwvYsqc7G/Dqb
 Z64/sSF1aPO8VOG047AOTpLpooEXGloVtBQQ8QV0VtXZeNIBpx10b7olq7d8C2Y/eAFz2IBGbPUUE
 oBk/qxGoMtFXltBVeVESvr/eHBnPSlbj7GtEF3SBae9cr4oXF4iSGX+IOq6msQu5WoX9Bbm0ddT67
 CLjqdcbCWtXNt0SeN/wN/eG3UtTcZOq6Z0vi5lYBs3iepYvydkkeGZfSp9I7vWDy/1RWpIIXYeA/w
 LsBvHv3rFOasBAoh+sXEDYwiArI8THyJ8px55zgXjsjS4eCNwpSie3qu7125bQxo/5MSdCtTmodql
 2e/MXzPw==;
Received: from [10.9.9.72] (helo=submission01.runbox)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>) id 1klTLt-0001Bi-OS
 for 45051 <at> debbugs.gnu.org; Sat, 05 Dec 2020 09:55:37 +0100
Received: by submission01.runbox with esmtpsa [Authenticated alias (780724)]
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 id 1klTLq-0006fD-Re
 for 45051 <at> debbugs.gnu.org; Sat, 05 Dec 2020 09:55:34 +0100
Date: Sat, 5 Dec 2020 08:55:32 +0000
From: pkill9 <pkill9@HIDDEN>
To: 45051 <at> debbugs.gnu.org
Subject: Re: bug#45051: Acknowledgement (Guix pull fails: `In procedure
 put-string: Wrong type argument in position 1 (expecting open output port):
 #<closed: string 7f1182257850>`)
Message-ID: <20201205085532.33d46084@HIDDEN>
In-Reply-To: <handler.45051.B.160715686816877.ack <at> debbugs.gnu.org>
References: <20201205082721.34581cea@HIDDEN>
 <handler.45051.B.160715686816877.ack <at> debbugs.gnu.org>
X-Mailer: Claws Mail 3.17.4 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 45051
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

with --fallback it is building. It may be the result of the substitute
server not being available, the error may need to be caught.




Information forwarded to bug-guix@HIDDEN:
bug#45051; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Dec 2020 08:27:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 05 03:27:48 2020
Received: from localhost ([127.0.0.1]:46503 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1klSux-0004O7-TF
	for submit <at> debbugs.gnu.org; Sat, 05 Dec 2020 03:27:48 -0500
Received: from lists.gnu.org ([209.51.188.17]:39012)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1klSuu-0004Nz-N8
 for submit <at> debbugs.gnu.org; Sat, 05 Dec 2020 03:27:46 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:54440)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pkill9@HIDDEN>) id 1klSuu-0007z1-0k
 for bug-guix@HIDDEN; Sat, 05 Dec 2020 03:27:44 -0500
Received: from aibo.runbox.com ([91.220.196.211]:33938)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <pkill9@HIDDEN>) id 1klSur-0002UP-CS
 for bug-guix@HIDDEN; Sat, 05 Dec 2020 03:27:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=selector1;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:
 Message-ID:Subject:To:From:Date;
 bh=mGafuGBruOiTsjwpmCKVXfkVtl/Hl7tAASciArY9ZWE=; b=EM3FX3bd+IxYLhDGJC/IxI3+pQ
 WSCUTX0tkN1NsjE1/MNj03NDyXyFcl21ygWRw96DJC1nVLk8pPH+Ibal5REIdWFjqolhnluoNCr8M
 6RpDEphDLy/2uydsr0RwH2p2+moS1zhUA12zNF6YHxltO4qu92sCzm+oMwpw9M/VDtBcdwI0XxSfS
 5Px2fciCBX1MjCirFfnVMQWb5XdUHeluO1kilER8sQSacTRZxcfZ0G+0+kvzCfDvPAb8jtywZY73r
 7jze8m8fmkGrh4Uh6t6aIzoWuYpr2KMKpeELiPaZOmqjzD+WmAtxfDvqGxlxsJtOOu0yIRwNd2eQ+
 xSpl10vw==;
Received: from [10.9.9.73] (helo=submission02.runbox)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>) id 1klSum-0002Zr-OP
 for bug-guix@HIDDEN; Sat, 05 Dec 2020 09:27:36 +0100
Received: by submission02.runbox with esmtpsa [Authenticated alias (780724)]
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 id 1klSuZ-0002hm-8l
 for bug-guix@HIDDEN; Sat, 05 Dec 2020 09:27:23 +0100
Date: Sat, 5 Dec 2020 08:27:21 +0000
From: pkill9 <pkill9@HIDDEN>
To: bug-guix@HIDDEN
Subject: Guix pull fails: `In procedure put-string: Wrong type argument in
 position 1 (expecting open output port): #<closed: string 7f1182257850>`
Message-ID: <20201205082721.34581cea@HIDDEN>
X-Mailer: Claws Mail 3.17.4 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=91.220.196.211; envelope-from=pkill9@HIDDEN;
 helo=aibo.runbox.com
X-Spam_score_int: -24
X-Spam_score: -2.5
X-Spam_bar: --
X-Spam_report: (-2.5 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Using guix commit 243512d984e1b870d3b77b2759698a64ed723fea. Also fails
with previous guix revisions.

Full output:

Computing Guix derivation for 'x86_64-linux'... /@ substituter-started
/gnu/store/9ph7spq3b72fv4scqqzwxalb8n0wc6xn-graphviz-2.42.3-doc
substitute -following redirection to
`https://ci.guix.gnu.org/nar/lzip/9ph7spq3b72fv4scqqzwxalb8n0wc6xn-graphviz-2.42.3-doc'...
Backtrace: In ice-9/boot-9.scm: 1736:10  4 (with-exception-handler _ _
#:unwind? _ # _) In unknown file:
           3 (apply-smob/0 #<thunk 7f11836ec3c0>)
In ice-9/boot-9.scm:
    718:2  2 (call-with-prompt _ _ #<procedure default-prompt-handle?>)
In ice-9/eval.scm:
    619:8  1 (_ #(#(#<directory (guile-user) 7f1183311f00>)))
In guix/ui.scm:
  1949:12  0 (run-guix-command _ . _)

guix/ui.scm:1949:12: In procedure run-guix-command:
In procedure put-string: Wrong type argument in position 1 (expecting
open output port): #<closed: string 7f1182257850> @ substituter-failed
/gnu/store/9ph7spq3b72fv4scqqzwxalb8n0wc6xn-graphviz-2.42.3-doc 256
fetching path
`/gnu/store/9ph7spq3b72fv4scqqzwxalb8n0wc6xn-graphviz-2.42.3-doc'
failed with exit code 1 @ substituter-started
/gnu/store/adx3hrrgjs0n55zm4i4p5kv6yj0q3bhq-guile-ssh-0.13.1-debug
substitute killing process 4025 Backtrace: 11 (primitive-load
"/gnu/store/f2ymnsn7d0jv9p8alj4mrg4dpw2fr5vn-compute-guix-derivation")
In ice-9/eval.scm: 155:9 10 (_ _) 159:9  9 (_
#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-user) 7fc042336f?> ?) ?)
?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?)) In ./guix/store.scm: 2049:24  8
(run-with-store #<store-connection 256.99 7fc0406ba5f0> _
#:guile-for-build _ #:system _ #:target _) 1883:8  7 (_ _) In
./guix/gexp.scm: 258:18  6 (_ _) 1123:2  5 (_ _)
    982:2  4 (_ _)
    843:4  3 (_ _)
In ./guix/store.scm:
  1931:12  2 (_ #<store-connection 256.99 7fc0406ba5f0>)
   1358:5  1 (map/accumulate-builds #<store-connection 256.99
7fc0406ba5f0> _ _) 1369:15  0 (_ #<store-connection 256.99
7fc0406ba5f0> 7fc0406ba5f0> _ _)

./guix/store.scm:1369:15: ERROR:
  1. &store-protocol-error:
      message: "some substitutes for the outputs of derivation
`/gnu/store/d879bxb47cnzkgsl37478aa4mmp7cjdg-graphviz-2.42.3.drv'
failed (usually happens due to networking issues); try `--fallback' to
build derivation from source " status: 1 guix pull: error: You found a
bug: the program
'/gnu/store/f2ymnsn7d0jv9p8alj4mrg4dpw2fr5vn-compute-guix-derivation'
failed to compute the derivation for Guix (version:
"4cf3734c56d669ee2d78082e5d7c4d0a58e0f800"; system: "x86_64-linux";
host version: "243512d984e1b870d3b77b2759698a64ed723fea"; pull-version:
1). Please report it by email to <bug-guix@HIDDEN>.




Acknowledgement sent to pkill9 <pkill9@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#45051; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 12 Dec 2020 18:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.